package com.logicbig.example;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

public class PhoneNumber {
    @NotNull
    private String type;
    @Pattern(regexp = "\\d{3}-\\d{3}-\\d{4}")
    private String number;

    public PhoneNumber(String type, String number) {
        this.type = type;
        this.number = number;
    }

    public String getType() {
        return type;
    }

    public String getNumber() {
        return number;
    }
}